%bcond_with     itext
%bcond_with     fop

Summary:        Content generation framework
Name:           maven-doxia
Version:        1.11.1
Release:        3%{?dist}
License:        Apache-2.0
URL:            https://maven.apache.org/doxia/
Source0:        https://repo1.maven.org/maven2/org/apache/maven/doxia/doxia/%{version}/doxia-%{version}-source-release.zip

Patch3000:      0001-Fix-itext-dependency.patch

BuildRequires:  maven-local mvn(junit:junit)
BuildRequires:  mvn(org.apache.commons:commons-lang3)
BuildRequires:  mvn(org.apache.commons:commons-text)
BuildRequires:  mvn(org.apache.httpcomponents:httpclient)
BuildRequires:  mvn(org.apache.httpcomponents:httpcore)
BuildRequires:  mvn(org.apache.maven:maven-parent:pom:)
BuildRequires:  mvn(org.codehaus.modello:modello-maven-plugin)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.codehaus.plexus:plexus-container-default)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.xmlunit:xmlunit-core)
BuildRequires:  mvn(org.xmlunit:xmlunit-matchers)

%if %{with fop}
BuildRequires:  mvn(commons-collections:commons-collections)
BuildRequires:  mvn(commons-configuration:commons-configuration)
BuildRequires:  mvn(org.apache.xmlgraphics:fop)
%endif

%if %{with itext}
BuildRequires:  mvn(com.lowagie:itext)
%endif

BuildArch:      noarch

%description
Doxia is a content generation framework which aims to provide its users
with powerful techniques for generating static and dynamic content. Doxia 
can be used to generate static sites in addition to being incorporated
into dynamic content generation systems like blogs, wikis and content 
management systems.

%package core
Summary: Core module for %{name}

%description core
This package provides %{summary}.

%package logging-api
Summary: Logging-api module for %{name}

%description logging-api
This package provides %{summary}.

%package module-apt
Summary: APT module for %{name}

%description module-apt
This package provides %{summary}.

%package module-confluence
Summary: Confluence module for %{name}

%description module-confluence
This package provides %{summary}.

%package module-docbook-simple
Summary: Simplified DocBook module for %{name}

%description module-docbook-simple
This package provides %{summary}.

%package module-fml
Summary: FML module for %{name}

%description module-fml
This package provides %{summary}.

%if %{with fop}
%package module-fo
Summary: FO module for %{name}

%description module-fo
This package provides %{summary}.
%endif

%if %{with itext}
%package module-itext
Summary: iText module for %{name}

%description module-itext
This package provides %{summary}.
%endif

%package module-latex
Summary: Latex module for %{name}

%description module-latex
This package provides %{summary}.

%package module-rtf
Summary: RTF module for %{name}

%description module-rtf
This package provides %{summary}.

%package modules
Summary: Doxia modules for several markup languages.

%description modules
This package provides %{summary}.

%package module-twiki
Summary: TWiki module for %{name}

%description module-twiki
This package provides %{summary}.

%package module-xdoc
Summary: XDoc module for %{name}

%description module-xdoc
This package provides %{summary}.

%package module-xhtml
Summary: XHTML module for %{name}

%description module-xhtml
This package provides %{summary}.

%package module-xhtml5
Summary: XHTML5 module for %{name}

%description module-xhtml5
This package provides %{summary}.

%package sink-api
Summary: Sink-api module for %{name}

%description sink-api
This package provides %{summary}.

%package tests
Summary: Tests for %{name}

%description tests
This package provides %{summary}.

%package test-docs
Summary: Test-docs module for %{name}

%description test-docs
This package provides %{summary}.

%package javadoc
Summary: Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%autosetup -p1 -n doxia-%{version}

for f in $(find . -name '*.java' -o -name '*.xml'); do
  sed -i.orig 's/\r//' $f
  touch -r $f.orig $f
  rm -f $f.orig
done

%pom_remove_plugin org.codehaus.mojo:clirr-maven-plugin pom.xml

%pom_remove_plugin :apache-rat-plugin

%pom_xpath_inject "pom:plugin[pom:artifactId[text()='modello-maven-plugin']]"\
"/pom:executions/pom:execution/pom:configuration" \
"<useJava5>true</useJava5>" doxia-modules/doxia-module-fml/pom.xml

rm doxia-core/src/test/java/org/apache/maven/doxia/util/XmlValidatorTest.java

%mvn_package :::tests: tests

%pom_disable_module doxia-module-markdown doxia-modules

%if %{without itext}
%pom_disable_module doxia-module-itext doxia-modules
%endif
%if %{without fop}
%pom_disable_module doxia-module-fo doxia-modules
%endif

%build
%mvn_build -s

%install
%mvn_install

%files -f .mfiles-doxia
%license LICENSE NOTICE
%doc README.md

%files core -f .mfiles-doxia-core

%files logging-api -f .mfiles-doxia-logging-api
%license LICENSE NOTICE

%files module-apt -f .mfiles-doxia-module-apt
%files module-confluence -f .mfiles-doxia-module-confluence
%files module-docbook-simple -f .mfiles-doxia-module-docbook-simple

%files module-fml -f .mfiles-doxia-module-fml

%if %{with fop}
%files module-fo -f .mfiles-doxia-module-fo
%endif

%if %{with itext}
%files module-itext -f .mfiles-doxia-module-itext
%endif

%files module-latex -f .mfiles-doxia-module-latex
%files module-rtf -f .mfiles-doxia-module-rtf
%files modules -f .mfiles-doxia-modules
%files module-twiki -f .mfiles-doxia-module-twiki
%files module-xdoc -f .mfiles-doxia-module-xdoc
%files module-xhtml -f .mfiles-doxia-module-xhtml
%files module-xhtml5 -f .mfiles-doxia-module-xhtml5
%files sink-api -f .mfiles-doxia-sink-api
%files test-docs -f .mfiles-doxia-test-docs

%files tests -f .mfiles-tests
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 25 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.11.1-1
- Initial build
